# WebPageEntry (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.sites
Class WebPageEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<E>
                      com.google.gdata.data.sites.BaseContentEntry<E>
                          com.google.gdata.data.sites.BasePageEntry<WebPageEntry>
                              com.google.gdata.data.sites.WebPageEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

    public class WebPageEntry

extends BasePageEntry<WebPageEntry>

Describes a web page entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Webpage web page kind kind category.
`static java.lang.String` `KIND` Webpage web page kind kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`WebPageEntry()` Default mutable constructor.
`WebPageEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`Link` `getAtomAttachmentsLink()` Returns the attachments sites link.
`Link` `getAtomRepliesLink()` Returns the replies sites link.
`Link` `getHtmlAttachmentsLink()` Returns the attachments sites link.
`Link` `getHtmlRepliesLink()` Returns the replies sites link.
`Link` `getParentLink()` Returns the parent sites link.
`java.lang.String` `toString()`

Methods inherited from class com.google.gdata.data.sites.BasePageEntry
`declareExtensions, getPageName, getTemplateLink, hasPageName, setPageName, validate`

Methods inherited from class com.google.gdata.data.sites.BaseContentEntry
`getBatchId, getBatchInterrupted, getBatchOperation, getBatchStatus, getDeleted, getEntryPostLink, getPublisher, getRevision, getRevisionLink, hasBatchId, hasBatchInterrupted, hasBatchOperation, hasBatchStatus, hasDeleted, hasPublisher, hasRevision, setBatchId, setBatchInterrupted, setBatchOperation, setBatchStatus, setDeleted, setPublisher, setRevision`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Field Detail

### KIND

    public static final java.lang.String KIND

  Webpage web page kind kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Webpage web page kind kind category.

Constructor Detail

### WebPageEntry

    public WebPageEntry()

  Default mutable constructor.

### WebPageEntry

    public WebPageEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### getAtomAttachmentsLink

    public Link getAtomAttachmentsLink()

  Returns the attachments sites link.

  Returns:
    Attachments sites link or `null` for none.

### getAtomRepliesLink

    public Link getAtomRepliesLink()

  Returns the replies sites link.

  Returns:
    Replies sites link or `null` for none.

### getHtmlAttachmentsLink

    public Link getHtmlAttachmentsLink()

  Returns the attachments sites link.

  Returns:
    Attachments sites link or `null` for none.

### getHtmlRepliesLink

    public Link getHtmlRepliesLink()

  Returns the replies sites link.

  Returns:
    Replies sites link or `null` for none.

### getParentLink

    public Link getParentLink()

  Returns the parent sites link.

  Returns:
    Parent sites link or `null` for none.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasePageEntry<WebPageEntry>`